package space.nstart.pcp.pcp_types_lib.dto.ballistics

import space.nstart.pcp.pcp_types_lib.utils.UtcDateTimes
import java.time.LocalDateTime



class SquareViewParamDTO(
    val noradId : Long = 0,
    val objectId : String = "",
    val revolutionBegin : Long = 0,
    val timeBegin : LocalDateTime = UtcDateTimes.now(),
    val revSignBegin : RevolutionSign = RevolutionSign.ASC,
    val revolutionEnd: Long = 0,
    val timeEnd : LocalDateTime = UtcDateTimes.now(),
    val revSignEnd : RevolutionSign = RevolutionSign.ASC,
    val gammaMin : Double = 0.0,
    val gammaMax : Double = 0.0
) {
}